package com.fs.app.controller;

import java.util.List;

import com.fs.app.annotation.Login;
import com.fs.common.core.domain.R;
import com.fs.common.core.domain.ResponseResult;
import com.fs.course.vo.newfs.FsUserCourseVideoPageListVO;
import com.fs.his.param.FsUserOperationLogQueryParam;
import com.fs.his.vo.FsUserOperationLogPageVo;
import com.github.pagehelper.PageHelper;
import com.github.pagehelper.PageInfo;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.PutMapping;
import org.springframework.web.bind.annotation.DeleteMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;
import com.fs.common.annotation.Log;
import com.fs.common.core.controller.BaseController;
import com.fs.common.core.domain.AjaxResult;
import com.fs.common.enums.BusinessType;
import com.fs.his.domain.FsUserOperationLog;
import com.fs.his.service.IFsUserOperationLogService;
import com.fs.common.utils.poi.ExcelUtil;
import com.fs.common.core.page.TableDataInfo;

/**
 * 用户操作日志Controller
 *
 * @author fs
 * @date 2025-07-04
 */
@RestController
@RequestMapping("/app/operationLog")
public class FsUserOperationLogController extends AppBaseController
{
    @Autowired
    private IFsUserOperationLogService fsUserOperationLogService;

    /**
     * 查询用户操作日志列表
     */
    @PostMapping("/page")
    @Login
    public ResponseResult<PageInfo<FsUserOperationLogPageVo>> list(@RequestBody FsUserOperationLogQueryParam param)
    {
        if (param.getUserId() == null){
            return ResponseResult.fail(500,"未选择会员");
        }
        PageHelper.startPage(param.getPageNum(), param.getPageSize());
        return ResponseResult.ok(fsUserOperationLogService.selectFsUserOperationLogList(param));
    }


}
