package com.fs.erp.dto.df;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

import java.util.List;

@Data
public class OrderResponse {
    @JsonProperty("orderNumber")
    private String orderNumber; // 客户订单号

    @JsonProperty("mailNumber")
    private String mailNumber; // 顺丰运单号（可包含子母单）

    @JsonProperty("returnTrackingNumber")
    private String returnTrackingNumber; // 顺丰签回单服务运单号

    @JsonProperty("originCode")
    private String originCode; // 原寄地区域代码

    @JsonProperty("destCode")
    private String destCode; // 目的地区域代码

    @JsonProperty("filterResult")
    private Integer filterResult; // 筛单结果：1-人工确认 2-可收派 3-不可以收派

    @JsonProperty("remark")
    private String remark; // 不可收派原因代码（filter_result=3时必填）

    @JsonProperty("agentMailNumber")
    private String agentMailNumber; // 代理单号

    @JsonProperty("mappingMark")
    private String mappingMark; // 地址映射码

    @JsonProperty("url")
    private String url; // 二维码URL（用于CX退货操作）

    @JsonProperty("paymentLink")
    private String paymentLink; // 第三方支付运费URL

    @JsonProperty("isUpstairs")
    private String isUpstairs; // 是否送货上楼：1-是

    @JsonProperty("isSpecialWarehouseService")
    private String isSpecialWarehouseService; // 是否包含特殊仓库：True-包含

    @JsonProperty("rlsInfo")
    private List<RlsInfo> rlsInfo; // 路由标签信息
}
