package com.fs.erp.dto.df;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

@Data
public class RlsDetail {
    @JsonProperty("waybillNumber")
    private String waybillNumber; // 电子运单号

    @JsonProperty("sourceTransferCode")
    private String sourceTransferCode; // 原寄地中转场

    @JsonProperty("sourceCityCode")
    private String sourceCityCode; // 原寄地城市代码

    @JsonProperty("sourceDeptCode")
    private String sourceDeptCode; // 原寄地网点代码

    @JsonProperty("sourceTeamCode")
    private String sourceTeamCode; // 原寄地单元区域

    @JsonProperty("destCityCode")
    private String destCityCode; // 目的地城市代码

    @JsonProperty("destDeptCode")
    private String destDeptCode; // 目的地网点代码

    @JsonProperty("destDeptCodeMapping")
    private String destDeptCodeMapping; // 目的地网点代码映射码

    @JsonProperty("destTeamCode")
    private String destTeamCode; // 目的地单元区域

    @JsonProperty("destTeamCodeMapping")
    private String destTeamCodeMapping; // 目的地单元区域映射码

    @JsonProperty("destTransferCode")
    private String destTransferCode; // 目的地中转场

    @JsonProperty("destRouteLabel")
    private String destRouteLabel; // 路由标签信息

    @JsonProperty("proName")
    private String proName; // 产品名称

    @JsonProperty("cargoTypeCode")
    private String cargoTypeCode; // 快件内容代码（如C816）

    @JsonProperty("limitTypeCode")
    private String limitTypeCode; // 时效代码（如T4）

    @JsonProperty("expressTypeCode")
    private String expressTypeCode; // 付款方式（如B1）

    @JsonProperty("codingMapping")
    private String codingMapping; // 入港映射码

    @JsonProperty("codingMappingOut")
    private String codingMappingOut; // 出港映射码

    @JsonProperty("xbFlag")
    private String xbFlag; // XB标志：0-不打印/1-打印

    @JsonProperty("printFlag")
    private String printFlag; // 打印标志（9位01字符串）

    @JsonProperty("twoDimensionCode")
    private String twoDimensionCode; // 二维码信息

    @JsonProperty("proCode")
    private String proCode; // 时效类型（对应二维码K4）

    @JsonProperty("printIcon")
    private String printIcon; // 打印图标（8位01字符串）

    @JsonProperty("abFlag")
    private String abFlag; // AB标

    @JsonProperty("errMsg")
    private String errMsg; // 异常信息

    @JsonProperty("destPortCode")
    private String destPortCode; // 目的地口岸代码

    @JsonProperty("destCountry")
    private String destCountry; // 目的国别代码（如JP）

    @JsonProperty("destPostCode")
    private String destPostCode; // 目的地邮编

    @JsonProperty("goodsValueTotal")
    private String goodsValueTotal; // 总价值（保留两位小数）

    @JsonProperty("currencySymbol")
    private String currencySymbol; // 币种符号

    @JsonProperty("goodsNumber")
    private String goodsNumber; // 件数
}
